Bug 442287 - Laptop ACPI events not generated
Laptop ACPI events not generated
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-13 18:09 EDT by James
Modified: 2008-05-23 16:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-23 15:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (38.12 KB, text/plain)
2008-04-13 18:09 EDT, James
no flags Details
acpidump output (138.28 KB, text/plain)
2008-04-13 18:10 EDT, James
no flags Details

  None (edit)
Description James 2008-04-13 18:09:03 EDT
Description of problem:
ACPI subsystem does not generate events for laptop lid or power adapter.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Put down lid, or change power adapter state.
2. Notice it doesn't suspend.
Actual results:
/proc/acpi/button/lid/LID/state reports the state of the lid correctly, as does
/proc/acpi/ac_adapter/AC/state with the AC adapter. However

$ acpi_listen

doesn't report any events.

Expected results:
Lid events generated.

Additional info:
dmesg and acpidump output attached.
Comment 1 James 2008-04-13 18:09:03 EDT
Created attachment 302284 [details]
dmesg output
Comment 2 James 2008-04-13 18:10:35 EDT
Created attachment 302285 [details]
acpidump output
Comment 3 James 2008-04-14 03:44:25 EDT
Extra info: the sleep button is found but doesn't work, either. Tried
acpi_osi=Linux as it is defined in the DSDT, but that doesn't seem to change
Comment 4 James 2008-05-23 15:13:13 EDT
Fixed in kernel-
Comment 5 James 2008-05-23 15:40:28 EDT
Correction, make that kernel- First noticed in
Comment 6 James 2008-05-23 16:43:27 EDT
Hello, sorry to keep changing this... it seems like it was actually fixed in
kernel- I think this must've somehow configured the EC so that
events did get generated, and whatever was changed persisted across a reboot.
When I booted kernel- from cold, the events are no longer received.

Note You need to log in before you can comment on or make changes to this bug.